Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -3240,668 +3205,656 @@
           !IM end
           !IM cf. FH
-          clwcon0=qcondc
-          pmfu(:,:)=upwd(:,:)+dnwd(:,:)
-          fm_cv(:,:)=upwd(:,:)+dnwd(:,:)+dnwd0(:,:)
-          !
+          clwcon0 = qcondc
+          pmfu(:, :) = upwd(:, :) + dnwd(:, :)
+          fm_cv(:, :) = upwd(:, :) + dnwd(:, :) + dnwd0(:, :)
+
           !jyg<
-          ! If convective tendencies are too large, then call convection 
+          ! If convective tendencies are too large, then call convection
           !  every time step
           cvpas = cvpas_0
-          DO k=1,k_upper_cv
-             DO i=1,klon
-               IF (d_t_con(i,k) > 6.721 .AND. d_t_con(i,k) < 6.722 .AND.&
-                   d_q_con(i,k) > -.0002171 .AND. d_q_con(i,k) < -.0002170) THEN
-                     dtcon_multistep_max = 3.
-                     dqcon_multistep_max = 0.02
-               ENDIF
-             ENDDO
+          DO k = 1, k_upper_cv
+            DO i = 1, klon
+              IF (d_t_con(i, k) > 6.721 .AND. d_t_con(i, k) < 6.722 .AND.&
+                      d_q_con(i, k) > -.0002171 .AND. d_q_con(i, k) < -.0002170) THEN
+                dtcon_multistep_max = 3.
+                dqcon_multistep_max = 0.02
+              ENDIF
+            ENDDO
           ENDDO
-!
-          DO k=1,k_upper_cv
-             DO i=1,klon
-!!               IF (abs(d_t_con(i,k)) > 0.24 .OR. &
-!!                   abs(d_q_con(i,k)) > 2.e-2) THEN
-               IF (abs(d_t_con(i,k)) > dtcon_multistep_max .OR. &
-                   abs(d_q_con(i,k)) > dqcon_multistep_max) THEN
-                 cvpas = 1
-!!                 print *,'physiq1, i,k,d_t_con(i,k),d_q_con(i,k) ', &
-!!                                   i,k,d_t_con(i,k),d_q_con(i,k)
-               ENDIF
-             ENDDO
+
+          DO k = 1, k_upper_cv
+            DO i = 1, klon
+              !!               IF (abs(d_t_con(i,k)) > 0.24 .OR. &
+              !!                   abs(d_q_con(i,k)) > 2.e-2) THEN
+              IF (abs(d_t_con(i, k)) > dtcon_multistep_max .OR. &
+                      abs(d_q_con(i, k)) > dqcon_multistep_max) THEN
+                cvpas = 1
+                !!                 print *,'physiq1, i,k,d_t_con(i,k),d_q_con(i,k) ', &
+                !!                                   i,k,d_t_con(i,k),d_q_con(i,k)
+              ENDIF
+            ENDDO
           ENDDO
-!!!   Ligne a ne surtout pas remettre sans avoir murement reflechi (jyg)
-!!!          call bcast(cvpas)
-!!!   ------------------------------------------------------------
+          !!!   Ligne a ne surtout pas remettre sans avoir murement reflechi (jyg)
+          !!!          call bcast(cvpas)
+          !!!   ------------------------------------------------------------
           !>jyg
-          !
+
           DO i = 1, klon
-             IF (iflagctrl(i)<=1) itau_con(i)=itau_con(i)+cvpas
+            IF (iflagctrl(i)<=1) itau_con(i) = itau_con(i) + cvpas
           ENDDO
-          !
+
           !jyg<
           !    Add the tendency due to the dry adjustment of the wake profile
           IF (iflag_wake>=1) THEN
             IF (iflag_adjwk == 2) THEN
-              DO k=1,klev
-                 DO i=1,klon
-                    ftd(i,k) = ftd(i,k) + wake_s(i)*d_t_adjwk(i,k)/phys_tstep
-                    fqd(i,k) = fqd(i,k) + wake_s(i)*d_q_adjwk(i,k)/phys_tstep
-                    d_t_con(i,k) = d_t_con(i,k) + wake_s(i)*d_t_adjwk(i,k)
-                    d_q_con(i,k) = d_q_con(i,k) + wake_s(i)*d_q_adjwk(i,k)
-                 ENDDO
+              DO k = 1, klev
+                DO i = 1, klon
+                  ftd(i, k) = ftd(i, k) + wake_s(i) * d_t_adjwk(i, k) / phys_tstep
+                  fqd(i, k) = fqd(i, k) + wake_s(i) * d_q_adjwk(i, k) / phys_tstep
+                  d_t_con(i, k) = d_t_con(i, k) + wake_s(i) * d_t_adjwk(i, k)
+                  d_q_con(i, k) = d_q_con(i, k) + wake_s(i) * d_q_adjwk(i, k)
+                ENDDO
               ENDDO
             ENDIF  ! (iflag_adjwk = 2)
           ENDIF   ! (iflag_wake>=1)
           !>jyg
-          !
-       ELSE ! ok_cvl
+
+        ELSE ! ok_cvl
 
           ! MAF conema3 ne contient pas les traceurs
           CALL conema3 (phys_tstep, &
-               paprs,pplay,t_seri,q_seri, &
-               u_seri,v_seri,tr_seri,ntra, &
-               sig1,w01, &
-               d_t_con,d_q_con,d_u_con,d_v_con,d_tr, &
-               rain_con, snow_con, ibas_con, itop_con, &
-               upwd,dnwd,dnwd0,bas,top, &
-               Ma,cape,tvp,rflag, &
-               pbase &
-               ,bbase,dtvpdt1,dtvpdq1,dplcldt,dplcldr &
-               ,clwcon0)
-
-       ENDIF ! ok_cvl
-
-       !
-       ! Correction precip
-       rain_con = rain_con * cvl_corr
-       snow_con = snow_con * cvl_corr
-       !
-
-       IF (.NOT. ok_gust) THEN
+                  paprs, pplay, t_seri, q_seri, &
+                  u_seri, v_seri, tr_seri, ntra, &
+                  sig1, w01, &
+                  d_t_con, d_q_con, d_u_con, d_v_con, d_tr, &
+                  rain_con, snow_con, ibas_con, itop_con, &
+                  upwd, dnwd, dnwd0, bas, top, &
+                  Ma, cape, tvp, rflag, &
+                  pbase &
+                  , bbase, dtvpdt1, dtvpdq1, dplcldt, dplcldr &
+                  , clwcon0)
+
+        ENDIF ! ok_cvl
+
+        ! Correction precip
+        rain_con = rain_con * cvl_corr
+        snow_con = snow_con * cvl_corr
+
+        IF (.NOT. ok_gust) THEN
           do i = 1, klon
-             wd(i)=0.0
+            wd(i) = 0.0
           enddo
-       ENDIF
-
-       ! =================================================================== c
-       ! Calcul des proprietes des nuages convectifs
-       !
-
-       !   calcul des proprietes des nuages convectifs
-       clwcon0(:,:)=fact_cldcon*clwcon0(:,:)
-       IF (iflag_cld_cv == 0) THEN
+        ENDIF
+
+        ! =================================================================== c
+        ! Calcul des proprietes des nuages convectifs
+
+        !   calcul des proprietes des nuages convectifs
+        clwcon0(:, :) = fact_cldcon * clwcon0(:, :)
+        IF (iflag_cld_cv == 0) THEN
           CALL clouds_gno &
-               (klon,klev,q_seri,zqsat,clwcon0,ptconv,ratqsc,rnebcon0)
-       ELSE
+                  (klon, klev, q_seri, zqsat, clwcon0, ptconv, ratqsc, rnebcon0)
+        ELSE
           CALL clouds_bigauss &
-               (klon,klev,q_seri,zqsat,qtc_cv,sigt_cv,ptconv,ratqsc,rnebcon0)
-       ENDIF
-
-
-       ! =================================================================== c
-
-       DO i = 1, klon
-          itop_con(i) = min(max(itop_con(i),1),klev)
-          ibas_con(i) = min(max(ibas_con(i),1),itop_con(i))
-       ENDDO
-
-       DO i = 1, klon
+                  (klon, klev, q_seri, zqsat, qtc_cv, sigt_cv, ptconv, ratqsc, rnebcon0)
+        ENDIF
+
+
+        ! =================================================================== c
+
+        DO i = 1, klon
+          itop_con(i) = min(max(itop_con(i), 1), klev)
+          ibas_con(i) = min(max(ibas_con(i), 1), itop_con(i))
+        ENDDO
+
+        DO i = 1, klon
           ! C Risi modif: pour éviter pb de dépassement d'indice dans les cas
           ! où i n'est pas un point convectif et donc ibas_con(i)=0
           ! c'est un pb indépendant des isotopes
           if (ibas_con(i) > 0) then
-             ema_pcb(i)  = paprs(i,ibas_con(i))
+            ema_pcb(i) = paprs(i, ibas_con(i))
           else
-             ema_pcb(i)  = 0.0
+            ema_pcb(i) = 0.0
           endif
-       ENDDO
-       DO i = 1, klon
+        ENDDO
+        DO i = 1, klon
           ! L'idicage de itop_con peut cacher un pb potentiel
           ! FH sous la dictee de JYG, CR
-          ema_pct(i)  = paprs(i,itop_con(i)+1)
-
-          IF (itop_con(i)>klev-3) THEN
-             IF (prt_level >= 9) THEN
-                write(lunout,*)'La convection monte trop haut '
-                write(lunout,*)'itop_con(,',i,',)=',itop_con(i)
-             ENDIF
+          ema_pct(i) = paprs(i, itop_con(i) + 1)
+
+          IF (itop_con(i)>klev - 3) THEN
+            IF (prt_level >= 9) THEN
+              write(lunout, *)'La convection monte trop haut '
+              write(lunout, *)'itop_con(,', i, ',)=', itop_con(i)
+            ENDIF
           ENDIF
-       ENDDO
-    ELSE IF (iflag_con==0) THEN
-       write(lunout,*) 'On n appelle pas la convection'
-       clwcon0=0.
-       rnebcon0=0.
-       d_t_con=0.
-       d_q_con=0.
-       d_u_con=0.
-       d_v_con=0.
-       rain_con=0.
-       snow_con=0.
-       bas=1
-       top=1
-    ELSE
-       WRITE(lunout,*) "iflag_con non-prevu", iflag_con
-       CALL abort_physic("physiq", "", 1)
-    ENDIF
-
-    !--saving d_q_con * zmass for next timestep if convection is not called every timestep
-    IF (ok_conserv_d_q_con) THEN
-      d_q_con_zmasse(:,:) = d_q_con(:,:) * zmasse(:,:)
-    ENDIF
-
-    !     CALL homogene(paprs, q_seri, d_q_con, u_seri,v_seri,
-    !    .              d_u_con, d_v_con)
-
-!jyg    Reinitialize proba_notrig and itapcv when convection has been called
-    proba_notrig(:) = 1.
-    itapcv = 0
+        ENDDO
+      ELSE IF (iflag_con==0) THEN
+        write(lunout, *) 'On n appelle pas la convection'
+        clwcon0 = 0.
+        rnebcon0 = 0.
+        d_t_con = 0.
+        d_q_con = 0.
+        d_u_con = 0.
+        d_v_con = 0.
+        rain_con = 0.
+        snow_con = 0.
+        bas = 1
+        top = 1
+      ELSE
+        WRITE(lunout, *) "iflag_con non-prevu", iflag_con
+        CALL abort_physic("physiq", "", 1)
+      ENDIF
+
+      !--saving d_q_con * zmass for next timestep if convection is not called every timestep
+      IF (ok_conserv_d_q_con) THEN
+        d_q_con_zmasse(:, :) = d_q_con(:, :) * zmasse(:, :)
+      ENDIF
+
+      !     CALL homogene(paprs, q_seri, d_q_con, u_seri,v_seri,
+      !    .              d_u_con, d_v_con)
+
+      !jyg    Reinitialize proba_notrig and itapcv when convection has been called
+      proba_notrig(:) = 1.
+      itapcv = 0
     ENDIF !  (MOD(itapcv,cvpas).EQ.0 .OR. MOD(itapcv,cvpas_0).EQ.0)
-!
-    itapcv = itapcv+1
-    !
+
+    itapcv = itapcv + 1
+
     ! Compter les steps ou cvpas=1
     IF (cvpas == 1) THEN
-      Ncvpaseq1 = Ncvpaseq1+1
+      Ncvpaseq1 = Ncvpaseq1 + 1
     ENDIF
-    IF (mod(itap,1000) == 0) THEN
-      print *,' physiq, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
+    IF (mod(itap, 1000) == 0) THEN
+      print *, ' physiq, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
     ENDIF
 
-!!!jyg  Appel diagnostique a add_phys_tend pour tester la conservation de 
-!!!     l'energie dans les courants satures.
-!!    d_t_con_sat(:,:) = d_t_con(:,:) - ftd(:,:)*dtime
-!!    d_q_con_sat(:,:) = d_q_con(:,:) - fqd(:,:)*dtime
-!!    dql_sat(:,:) = (wdtrainA(:,:)+wdtrainM(:,:))*dtime/zmasse(:,:)
-!!    CALL add_phys_tend(d_u_con, d_v_con, d_t_con_sat, d_q_con_sat, dql_sat,   &
-!!                     dqi0, paprs, 'convection_sat', abortphy, flag_inhib_tend,&  
-!!                     itap, 1)
-!!    call prt_enerbil('convection_sat',itap)
-!!
-!!
+    !!!jyg  Appel diagnostique a add_phys_tend pour tester la conservation de
+    !!!     l'energie dans les courants satures.
+    !!    d_t_con_sat(:,:) = d_t_con(:,:) - ftd(:,:)*dtime
+    !!    d_q_con_sat(:,:) = d_q_con(:,:) - fqd(:,:)*dtime
+    !!    dql_sat(:,:) = (wdtrainA(:,:)+wdtrainM(:,:))*dtime/zmasse(:,:)
+    !!    CALL add_phys_tend(d_u_con, d_v_con, d_t_con_sat, d_q_con_sat, dql_sat,   &
+    !!                     dqi0, paprs, 'convection_sat', abortphy, flag_inhib_tend,&
+    !!                     itap, 1)
+    !!    call prt_enerbil('convection_sat',itap)
+    !!
+    !!
 
     !--recompute d_q_con with zmasse from new timestep
     IF (ok_conserv_d_q_con) THEN
-      d_q_con(:,:)=d_q_con_zmasse(:,:)/zmasse(:,:)
+      d_q_con(:, :) = d_q_con_zmasse(:, :) / zmasse(:, :)
     ENDIF
 
     CALL add_phys_tend(d_u_con, d_v_con, d_t_con, d_q_con, dql0, dqi0, dqbs0, paprs, &
-         'convection',abortphy,flag_inhib_tend,itap,0)
-    CALL prt_enerbil('convection',itap)
+            'convection', abortphy, flag_inhib_tend, itap, 0)
+    CALL prt_enerbil('convection', itap)
 
     !-------------------------------------------------------------------------
 
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
-    !
     !==========================================================================
-    !RR:Evolution de la poche froide: on ne fait pas de separation wake/env 
+    !RR:Evolution de la poche froide: on ne fait pas de separation wake/env
     !pour la couche limite diffuse pour l instant
-    !
-    !
+
+
     ! nrlmd le 22/03/2011---Si on met les poches hors des thermiques
     ! il faut rajouter cette tendance calcul\'ee hors des poches
     ! froides
-    !
+
     IF (iflag_wake>=1) THEN
-       !
-       !
-       ! Call wakes every "wkpas" step
-       !
-       IF (MOD(itapwk,wkpas)==0) THEN
-          !
-          DO k=1,klev
-             DO i=1,klon
-                dt_dwn(i,k)  = ftd(i,k) 
-                dq_dwn(i,k)  = fqd(i,k) 
-                M_dwn(i,k)   = dnwd0(i,k)
-                M_up(i,k)    = upwd(i,k)
-                dt_a(i,k)    = d_t_con(i,k)/phys_tstep - ftd(i,k) 
-                dq_a(i,k)    = d_q_con(i,k)/phys_tstep - fqd(i,k)
-             ENDDO
+
+
+      ! Call wakes every "wkpas" step
+
+      IF (MOD(itapwk, wkpas)==0) THEN
+
+        DO k = 1, klev
+          DO i = 1, klon
+            dt_dwn(i, k) = ftd(i, k)
+            dq_dwn(i, k) = fqd(i, k)
+            M_dwn(i, k) = dnwd0(i, k)
+            M_up(i, k) = upwd(i, k)
+            dt_a(i, k) = d_t_con(i, k) / phys_tstep - ftd(i, k)
+            dq_a(i, k) = d_q_con(i, k) / phys_tstep - fqd(i, k)
           ENDDO
-         
-          IF (iflag_wake==2) THEN
-             ok_wk_lsp(:)=max(sign(1.,wake_s(:)-wake_s_min_lsp),0.)
-             DO k = 1,klev
-                dt_dwn(:,k)= dt_dwn(:,k)+ &
-                     ok_wk_lsp(:)*(d_t_eva(:,k)+d_t_lsc(:,k))/phys_tstep
-                dq_dwn(:,k)= dq_dwn(:,k)+ &
-                     ok_wk_lsp(:)*(d_q_eva(:,k)+d_q_lsc(:,k))/phys_tstep
-             ENDDO
-          ELSEIF (iflag_wake==3) THEN
-             ok_wk_lsp(:)=max(sign(1.,wake_s(:)-wake_s_min_lsp),0.)
-             DO k = 1,klev
-                DO i=1,klon
-                   IF (rneb(i,k)==0.) THEN
-                      ! On ne tient compte des tendances qu'en dehors des
-                      ! nuages (c'est-\`a-dire a priri dans une region ou
-                      ! l'eau se reevapore).
-                      dt_dwn(i,k)= dt_dwn(i,k)+ &
-                           ok_wk_lsp(i)*d_t_lsc(i,k)/phys_tstep
-                      dq_dwn(i,k)= dq_dwn(i,k)+ &
-                           ok_wk_lsp(i)*d_q_lsc(i,k)/phys_tstep
-                   ENDIF
-                ENDDO
-             ENDDO
-          ENDIF
-         
-          !
-          !calcul caracteristiques de la poche froide
-          CALL calWAKE (iflag_wake_tend, paprs, pplay, phys_tstep, &
-               t_seri, q_seri, omega,  &
-               dt_dwn, dq_dwn, M_dwn, M_up,  &
-               dt_a, dq_a, cv_gen,  &
-               sigd, cin,  &
-               wake_deltat, wake_deltaq, wake_s, awake_s, wake_dens, awake_dens,  &
-               wake_dth, wake_h,  &
-!!               wake_pe, wake_fip, wake_gfl,  &
-               wake_pe, wake_fip_0, wake_gfl,  &   !! jyg
-               d_t_wake, d_q_wake,  &
-               wake_k, t_x, q_x,  &
-               wake_omgbdth, wake_dp_omgb,  &
-               wake_dtKE, wake_dqKE,  &
-               wake_omg, wake_dp_deltomg,  &
-               wake_spread, wake_Cstar, d_deltat_wk_gw,  &
-               d_deltat_wk, d_deltaq_wk, d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk)
-          !
-          !jyg    Reinitialize itapwk when wakes have been called
-          itapwk = 0
-       ENDIF !  (MOD(itapwk,wkpas).EQ.0)
-       !
-       itapwk = itapwk+1
-       !
-       !-----------------------------------------------------------------------
-       ! ajout des tendances des poches froides
-       CALL add_phys_tend(du0,dv0,d_t_wake,d_q_wake,dql0,dqi0,dqbs0,paprs,'wake', &
-            abortphy,flag_inhib_tend,itap,0)
-       CALL prt_enerbil('wake',itap)
-       !------------------------------------------------------------------------
-
-       ! Increment Wake state variables
-       IF (iflag_wake_tend > 0.) THEN
-
-         CALL add_wake_tend &
-            (d_deltat_wk, d_deltaq_wk, d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk, wake_k, &
-             'wake', abortphy) 
-          CALL prt_enerbil('wake',itap)
-       ENDIF   ! (iflag_wake_tend .GT. 0.)
-       !
-       IF (prt_level >= 10) THEN
-         print *,' physiq, after calwake, wake_s: ',wake_s(:)
-         print *,' physiq, after calwake, wake_deltat: ',wake_deltat(:,1)
-         print *,' physiq, after calwake, wake_deltaq: ',wake_deltaq(:,1)
-       ENDIF
-
-       IF (iflag_alp_wk_cond > 0.) THEN
-
-         CALL alpale_wk(phys_tstep, cell_area, wake_k, wake_s, wake_dens, wake_fip_0, &
-                        wake_fip)
-       ELSE
-         wake_fip(:) = wake_fip_0(:)
-       ENDIF   ! (iflag_alp_wk_cond .GT. 0.)
+        ENDDO
+
+        IF (iflag_wake==2) THEN
+          ok_wk_lsp(:) = max(sign(1., wake_s(:) - wake_s_min_lsp), 0.)
+          DO k = 1, klev
+            dt_dwn(:, k) = dt_dwn(:, k) + &
+                    ok_wk_lsp(:) * (d_t_eva(:, k) + d_t_lsc(:, k)) / phys_tstep
+            dq_dwn(:, k) = dq_dwn(:, k) + &
+                    ok_wk_lsp(:) * (d_q_eva(:, k) + d_q_lsc(:, k)) / phys_tstep
+          ENDDO
+        ELSEIF (iflag_wake==3) THEN
+          ok_wk_lsp(:) = max(sign(1., wake_s(:) - wake_s_min_lsp), 0.)
+          DO k = 1, klev
+            DO i = 1, klon
+              IF (rneb(i, k)==0.) THEN
+                ! On ne tient compte des tendances qu'en dehors des
+                ! nuages (c'est-\`a-dire a priri dans une region ou
+                ! l'eau se reevapore).
+                dt_dwn(i, k) = dt_dwn(i, k) + &
+                        ok_wk_lsp(i) * d_t_lsc(i, k) / phys_tstep
+                dq_dwn(i, k) = dq_dwn(i, k) + &
+                        ok_wk_lsp(i) * d_q_lsc(i, k) / phys_tstep
+              ENDIF
+            ENDDO
+          ENDDO
+        ENDIF
+
+        !calcul caracteristiques de la poche froide
+        CALL calWAKE (iflag_wake_tend, paprs, pplay, phys_tstep, &
+                t_seri, q_seri, omega, &
+                dt_dwn, dq_dwn, M_dwn, M_up, &
+                dt_a, dq_a, cv_gen, &
+                sigd, cin, &
+                wake_deltat, wake_deltaq, wake_s, awake_s, wake_dens, awake_dens, &
+                wake_dth, wake_h, &
+                !!               wake_pe, wake_fip, wake_gfl,  &
+                wake_pe, wake_fip_0, wake_gfl, &   !! jyg
+                d_t_wake, d_q_wake, &
+                wake_k, t_x, q_x, &
+                wake_omgbdth, wake_dp_omgb, &
+                wake_dtKE, wake_dqKE, &
+                wake_omg, wake_dp_deltomg, &
+                wake_spread, wake_Cstar, d_deltat_wk_gw, &
+                d_deltat_wk, d_deltaq_wk, d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk)
+
+        !jyg    Reinitialize itapwk when wakes have been called
+        itapwk = 0
+      ENDIF !  (MOD(itapwk,wkpas).EQ.0)
+
+      itapwk = itapwk + 1
+
+      !-----------------------------------------------------------------------
+      ! ajout des tendances des poches froides
+      CALL add_phys_tend(du0, dv0, d_t_wake, d_q_wake, dql0, dqi0, dqbs0, paprs, 'wake', &
+              abortphy, flag_inhib_tend, itap, 0)
+      CALL prt_enerbil('wake', itap)
+      !------------------------------------------------------------------------
+
+      ! Increment Wake state variables
+      IF (iflag_wake_tend > 0.) THEN
+
+        CALL add_wake_tend &
+                (d_deltat_wk, d_deltaq_wk, d_s_wk, d_s_a_wk, d_dens_wk, d_dens_a_wk, wake_k, &
+                'wake', abortphy)
+        CALL prt_enerbil('wake', itap)
+      ENDIF   ! (iflag_wake_tend .GT. 0.)
+
+      IF (prt_level >= 10) THEN
+        print *, ' physiq, after calwake, wake_s: ', wake_s(:)
+        print *, ' physiq, after calwake, wake_deltat: ', wake_deltat(:, 1)
+        print *, ' physiq, after calwake, wake_deltaq: ', wake_deltaq(:, 1)
+      ENDIF
+
+      IF (iflag_alp_wk_cond > 0.) THEN
+
+        CALL alpale_wk(phys_tstep, cell_area, wake_k, wake_s, wake_dens, wake_fip_0, &
+                wake_fip)
+      ELSE
+        wake_fip(:) = wake_fip_0(:)
+      ENDIF   ! (iflag_alp_wk_cond .GT. 0.)
 
     ENDIF  ! (iflag_wake>=1)
-    !
+
     !===================================================================
     ! Convection seche (thermiques ou ajustement)
     !===================================================================
-    !
-    CALL stratocu_if(klon,klev,pctsrf,paprs, pplay,t_seri &
-         ,seuil_inversion,weak_inversion,dthmin)
-
-
-
-    d_t_ajsb(:,:)=0.
-    d_q_ajsb(:,:)=0.
-    d_t_ajs(:,:)=0.
-    d_u_ajs(:,:)=0.
-    d_v_ajs(:,:)=0.
-    d_q_ajs(:,:)=0.
-    clwcon0th(:,:)=0.
-    !
+
+    CALL stratocu_if(klon, klev, pctsrf, paprs, pplay, t_seri &
+            , seuil_inversion, weak_inversion, dthmin)
+
+    d_t_ajsb(:, :) = 0.
+    d_q_ajsb(:, :) = 0.
+    d_t_ajs(:, :) = 0.
+    d_u_ajs(:, :) = 0.
+    d_v_ajs(:, :) = 0.
+    d_q_ajs(:, :) = 0.
+    clwcon0th(:, :) = 0.
+
     !      fm_therm(:,:)=0.
     !      entr_therm(:,:)=0.
     !      detr_therm(:,:)=0.
-    !
-    IF (prt_level>9) WRITE(lunout,*) &
-         'AVANT LA CONVECTION SECHE , iflag_thermals=' &
-         ,iflag_thermals,'   nsplit_thermals=',nsplit_thermals
+
+    IF (prt_level>9) WRITE(lunout, *) &
+            'AVANT LA CONVECTION SECHE , iflag_thermals=' &
+            , iflag_thermals, '   nsplit_thermals=', nsplit_thermals
     IF (iflag_thermals<0) THEN
-       !  Rien
-       !  ====
-       IF (prt_level>9) WRITE(lunout,*)'pas de convection seche'
-       WRITE(lunout,*) 'WARNING : running without dry convection. Somme intermediate variables are not properly defined in physiq_mod.F90'
-       ! Reprendre proprement les initialisation ci dessouds si on veut vraiment utiliser l'option (FH)
-          fraca(:,:)=0.
-          fm_therm(:,:)=0.
-          ztv(:,:)=t_seri(:,:)
-          zqasc(:,:)=q_seri(:,:)
-          ztla(:,:)=0.
-          zthl(:,:)=0.
-          zpspsk(:,:)=(pplay(:,:)/100000.)**RKAPPA
-
-
+      !  Rien
+      !  ====
+      IF (prt_level>9) WRITE(lunout, *)'pas de convection seche'
+      WRITE(lunout, *) 'WARNING : running without dry convection. Somme intermediate variables are not properly defined in physiq_mod.F90'
+      ! Reprendre proprement les initialisation ci dessouds si on veut vraiment utiliser l'option (FH)
+      fraca(:, :) = 0.
+      fm_therm(:, :) = 0.
+      ztv(:, :) = t_seri(:, :)
+      zqasc(:, :) = q_seri(:, :)
+      ztla(:, :) = 0.
+      zthl(:, :) = 0.
+      zpspsk(:, :) = (pplay(:, :) / 100000.)**RKAPPA
 
     ELSE
 
-       !  Thermiques
-       !  ==========
-       IF (prt_level>9) WRITE(lunout,*)'JUSTE AVANT , iflag_thermals=' &
-            ,iflag_thermals,'   nsplit_thermals=',nsplit_thermals
-
-
-       !cc nrlmd le 10/04/2012
-       DO k=1,klev+1
-          DO i=1,klon
-             pbl_tke_input(i,k,is_oce)=pbl_tke(i,k,is_oce)
-             pbl_tke_input(i,k,is_ter)=pbl_tke(i,k,is_ter)
-             pbl_tke_input(i,k,is_lic)=pbl_tke(i,k,is_lic)
-             pbl_tke_input(i,k,is_sic)=pbl_tke(i,k,is_sic)
+      !  Thermiques
+      !  ==========
+      IF (prt_level>9) WRITE(lunout, *)'JUSTE AVANT , iflag_thermals=' &
+              , iflag_thermals, '   nsplit_thermals=', nsplit_thermals
+
+
+      !cc nrlmd le 10/04/2012
+      DO k = 1, klev + 1
+        DO i = 1, klon
+          pbl_tke_input(i, k, is_oce) = pbl_tke(i, k, is_oce)
+          pbl_tke_input(i, k, is_ter) = pbl_tke(i, k, is_ter)
+          pbl_tke_input(i, k, is_lic) = pbl_tke(i, k, is_lic)
+          pbl_tke_input(i, k, is_sic) = pbl_tke(i, k, is_sic)
+        ENDDO
+      ENDDO
+      !cc fin nrlmd le 10/04/2012
+
+      IF (iflag_thermals>=1) THEN
+
+        ! Tests Fredho, instensibilite au pas de temps -------------------------------
+        ! A detruire en 2024 une fois les tests documentes et les choix faits        !
+        if (iflag_thermals_tenv / 10 == 0) then                            !
+          do k = 1, klev                                                      !
+            do i = 1, klon                                                   !
+              t_env(i, k) = t_seri(i, k)                                     !
+              q_env(i, k) = q_seri(i, k)                                     !
+            enddo                                                         !
+          enddo                                                            !
+        else if (iflag_thermals_tenv / 10 == 2) then                      !
+          do k = 1, klev                                                      !
+            do i = 1, klon                                                   !
+              q_env(i, k) = q_seri(i, k)                                     !
+            enddo                                                         !
+          enddo                                                            !
+        else if (iflag_thermals_tenv / 10 == 3) then                      !
+          do k = 1, klev                                                      !
+            do i = 1, klon                                                   !
+              t_env(i, k) = t(i, k)                                          !
+              q_env(i, k) = qx(i, k, 1)                                       !
+            enddo                                                         !
+          enddo                                                            !
+        endif                                                              !
+        ! Tests Fredho, instensibilite au pas de temps ------------------------------
+
+        !jyg<
+        !!       IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
+        IF (mod(iflag_pbl_split / 10, 10) >= 1) THEN
+          !  Appel des thermiques avec les profils exterieurs aux poches
+          DO k = 1, klev
+            DO i = 1, klon
+              t_therm(i, k) = t_seri(i, k) - wake_s(i) * wake_deltat(i, k)
+              q_therm(i, k) = q_seri(i, k) - wake_s(i) * wake_deltaq(i, k)
+              t_env(i, k) = t_env(i, k) - wake_s(i) * wake_deltat(i, k)
+              q_env(i, k) = q_env(i, k) - wake_s(i) * wake_deltaq(i, k)
+              u_therm(i, k) = u_seri(i, k)
+              v_therm(i, k) = v_seri(i, k)
+            ENDDO
           ENDDO
-       ENDDO
-       !cc fin nrlmd le 10/04/2012
-
-       IF (iflag_thermals>=1) THEN
-
-! Tests Fredho, instensibilite au pas de temps -------------------------------
-! A detruire en 2024 une fois les tests documentes et les choix faits        !
-          if (iflag_thermals_tenv /10 == 0 ) then                            !
-            do k=1,klev                                                      !
-               do i=1,klon                                                   !
-                  t_env(i,k)=t_seri(i,k)                                     !
-                  q_env(i,k)=q_seri(i,k)                                     !
-               enddo                                                         !
-            enddo                                                            !
-          else if (iflag_thermals_tenv / 10 == 2 ) then                      !
-            do k=1,klev                                                      !
-               do i=1,klon                                                   !
-                  q_env(i,k)=q_seri(i,k)                                     !
-               enddo                                                         !
-            enddo                                                            !
-          else if (iflag_thermals_tenv / 10 == 3 ) then                      !
-            do k=1,klev                                                      !
-               do i=1,klon                                                   !
-                  t_env(i,k)=t(i,k)                                          !
-                  q_env(i,k)=qx(i,k,1)                                       !
-               enddo                                                         !
-            enddo                                                            !
-          endif                                                              !
-! Tests Fredho, instensibilite au pas de temps ------------------------------
-
-          !jyg<
-!!       IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
-          IF (mod(iflag_pbl_split/10,10) >= 1) THEN
-             !  Appel des thermiques avec les profils exterieurs aux poches
-             DO k=1,klev
-                DO i=1,klon
-                   t_therm(i,k) = t_seri(i,k) - wake_s(i)*wake_deltat(i,k)
-                   q_therm(i,k) = q_seri(i,k) - wake_s(i)*wake_deltaq(i,k)
-                   t_env(i,k)   = t_env(i,k) - wake_s(i)*wake_deltat(i,k)
-                   q_env(i,k)   = q_env(i,k) - wake_s(i)*wake_deltaq(i,k)
-                   u_therm(i,k) = u_seri(i,k)
-                   v_therm(i,k) = v_seri(i,k)
-                ENDDO
-             ENDDO
+        ELSE
+          !  Appel des thermiques avec les profils moyens
+          DO k = 1, klev
+            DO i = 1, klon
+              t_therm(i, k) = t_seri(i, k)
+              q_therm(i, k) = q_seri(i, k)
+              u_therm(i, k) = u_seri(i, k)
+              v_therm(i, k) = v_seri(i, k)
+            ENDDO
+          ENDDO
+        ENDIF
+        !>jyg
+        CALL calltherm(pdtphys &
+                , pplay, paprs, pphi, weak_inversion &
+                ! ,u_seri,v_seri,t_seri,q_seri,zqsat,debut & !jyg
+                , u_therm, v_therm, t_therm, q_therm, t_env, q_env, zqsat, debut &  !jyg
+                , d_u_ajs, d_v_ajs, d_t_ajs, d_q_ajs &
+                , fm_therm, entr_therm, detr_therm &
+                , zqasc, clwcon0th, lmax_th, ratqscth &
+                , ratqsdiff, zqsatth &
+                !on rajoute ale et alp, et les
+                !caracteristiques de la couche alim
+                , Ale_bl, Alp_bl, lalim_conv, wght_th, zmax0, f0, zw2, fraca &
+                , ztv, zpspsk, ztla, zthl &
+                !cc nrlmd le 10/04/2012
+                , pbl_tke_input, pctsrf, omega, cell_area &
+                , zlcl_th, fraca0, w0, w_conv, therm_tke_max0, env_tke_max0 &
+                , n2, s2, strig, zcong, ale_bl_stat &
+                , therm_tke_max, env_tke_max &
+                , alp_bl_det, alp_bl_fluct_m, alp_bl_fluct_tke &
+                , alp_bl_conv, alp_bl_stat &
+                !cc fin nrlmd le 10/04/2012
+                , zqla, ztva)
+
+        !jyg<
+        !!jyg          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
+        IF (mod(iflag_pbl_split / 10, 10) >= 1) THEN
+          !  Si les thermiques ne sont presents que hors des
+          !  poches, la tendance moyenne associ\'ee doit etre
+          !  multipliee par la fraction surfacique qu'ils couvrent.
+          DO k = 1, klev
+            DO i = 1, klon
+
+              d_deltat_the(i, k) = - d_t_ajs(i, k)
+              d_deltaq_the(i, k) = - d_q_ajs(i, k)
+
+              d_u_ajs(i, k) = d_u_ajs(i, k) * (1. - wake_s(i))
+              d_v_ajs(i, k) = d_v_ajs(i, k) * (1. - wake_s(i))
+              d_t_ajs(i, k) = d_t_ajs(i, k) * (1. - wake_s(i))
+              d_q_ajs(i, k) = d_q_ajs(i, k) * (1. - wake_s(i))
+
+            ENDDO
+          ENDDO
+
+          IF (ok_bug_split_th) THEN
+            CALL add_wake_tend &
+                    (d_deltat_the, d_deltaq_the, dsig0, dsig0, ddens0, ddens0, wkoccur1, 'the', abortphy)
           ELSE
-             !  Appel des thermiques avec les profils moyens
-             DO k=1,klev
-                DO i=1,klon
-                   t_therm(i,k) = t_seri(i,k)
-                   q_therm(i,k) = q_seri(i,k)
-                   u_therm(i,k) = u_seri(i,k)
-                   v_therm(i,k) = v_seri(i,k)
-                ENDDO
-             ENDDO
+            CALL add_wake_tend &
+                    (d_deltat_the, d_deltaq_the, dsig0, dsig0, ddens0, ddens0, wake_k, 'the', abortphy)
           ENDIF
-          !>jyg
-          CALL calltherm(pdtphys &
-               ,pplay,paprs,pphi,weak_inversion &
-                        ! ,u_seri,v_seri,t_seri,q_seri,zqsat,debut & !jyg
-               ,u_therm,v_therm,t_therm,q_therm,t_env,q_env,zqsat,debut &  !jyg
-               ,d_u_ajs,d_v_ajs,d_t_ajs,d_q_ajs &
-               ,fm_therm,entr_therm,detr_therm &
-               ,zqasc,clwcon0th,lmax_th,ratqscth &
-               ,ratqsdiff,zqsatth &
-                                !on rajoute ale et alp, et les
-                                !caracteristiques de la couche alim
-               ,Ale_bl,Alp_bl,lalim_conv,wght_th, zmax0, f0, zw2,fraca &
-               ,ztv,zpspsk,ztla,zthl &
-                                !cc nrlmd le 10/04/2012
-               ,pbl_tke_input,pctsrf,omega,cell_area &
-               ,zlcl_th,fraca0,w0,w_conv,therm_tke_max0,env_tke_max0 &
-               ,n2,s2,strig,zcong,ale_bl_stat &
-               ,therm_tke_max,env_tke_max &
-               ,alp_bl_det,alp_bl_fluct_m,alp_bl_fluct_tke &
-               ,alp_bl_conv,alp_bl_stat &
-                                !cc fin nrlmd le 10/04/2012
-               ,zqla,ztva )
-          !
-          !jyg<
-!!jyg          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
-          IF (mod(iflag_pbl_split/10,10) >= 1) THEN
-             !  Si les thermiques ne sont presents que hors des
-             !  poches, la tendance moyenne associ\'ee doit etre
-             !  multipliee par la fraction surfacique qu'ils couvrent.
-             DO k=1,klev
-                DO i=1,klon
-                   !
-                   d_deltat_the(i,k) = - d_t_ajs(i,k) 
-                   d_deltaq_the(i,k) = - d_q_ajs(i,k) 
-                   !
-                   d_u_ajs(i,k) = d_u_ajs(i,k)*(1.-wake_s(i)) 
-                   d_v_ajs(i,k) = d_v_ajs(i,k)*(1.-wake_s(i)) 
-                   d_t_ajs(i,k) = d_t_ajs(i,k)*(1.-wake_s(i)) 
-                   d_q_ajs(i,k) = d_q_ajs(i,k)*(1.-wake_s(i)) 
-                   !
-                ENDDO
-             ENDDO
-          !
-             IF (ok_bug_split_th) THEN
-               CALL add_wake_tend &
-                   (d_deltat_the, d_deltaq_the, dsig0, dsig0, ddens0, ddens0, wkoccur1, 'the', abortphy) 
-             ELSE
-               CALL add_wake_tend &
-                   (d_deltat_the, d_deltaq_the, dsig0, dsig0, ddens0, ddens0, wake_k, 'the', abortphy) 
-             ENDIF
-             CALL prt_enerbil('the',itap)
-          !
-          ENDIF  ! (mod(iflag_pbl_split/10,10) .GE. 1)
-          !
-          CALL add_phys_tend(d_u_ajs,d_v_ajs,d_t_ajs,d_q_ajs,  &
-                             dql0,dqi0,dqbs0,paprs,'thermals', abortphy,flag_inhib_tend,itap,0)
-          CALL prt_enerbil('thermals',itap)
-          !
-!
-          CALL alpale_th( phys_tstep, lmax_th, t_seri, cell_area,  &
-                          cin, s2, n2, strig, &
-                          ale_bl_trig, ale_bl_stat, ale_bl,  &
-                          alp_bl, alp_bl_stat, &
-                          proba_notrig, random_notrig, cv_gen)
-          !>jyg
-
-          ! ------------------------------------------------------------------
-          ! Transport de la TKE par les panaches thermiques.
-          ! FH : 2010/02/01
-               if (iflag_thermcell_tke==1) then
-               call thermcell_dtke(klon,klev,nbsrf,pdtphys,fm_therm,entr_therm,rg,paprs,pbl_tke)
-               endif
-          ! -------------------------------------------------------------------
-
-          DO i=1,klon
-             !           zmax_th(i)=pphi(i,lmax_th(i))/rg
-             !CR:04/05/12:correction calcul zmax
-             zmax_th(i)=zmax0(i) 
-          ENDDO
-
-       ENDIF
-
-       !  Ajustement sec
-       !  ==============
-
-       ! Dans le cas o\`u on active les thermiques, on fait partir l'ajustement
-       ! a partir du sommet des thermiques.
-       ! Dans le cas contraire, on demarre au niveau 1.
-
-       IF (iflag_thermals>=13.or.iflag_thermals<=0) THEN
-
-          IF (iflag_thermals==0) THEN
-             IF (prt_level>9) WRITE(lunout,*)'ajsec'
-             limbas(:)=1
-          ELSE
-             limbas(:)=lmax_th(:)
-          ENDIF
-
-          ! Attention : le call ajsec_convV2 n'est maintenu que momentanneement
-          ! pour des test de convergence numerique.
-          ! Le nouveau ajsec est a priori mieux, meme pour le cas 
-          ! iflag_thermals = 0 (l'ancienne version peut faire des tendances
-          ! non nulles numeriquement pour des mailles non concernees.
-
-          IF (iflag_thermals==0) THEN
-             ! Calling adjustment alone (but not the thermal plume model)
-             CALL ajsec_convV2(paprs, pplay, t_seri,q_seri &
+          CALL prt_enerbil('the', itap)
+
+        ENDIF  ! (mod(iflag_pbl_split/10,10) .GE. 1)
+
+        CALL add_phys_tend(d_u_ajs, d_v_ajs, d_t_ajs, d_q_ajs, &
+                dql0, dqi0, dqbs0, paprs, 'thermals', abortphy, flag_inhib_tend, itap, 0)
+        CALL prt_enerbil('thermals', itap)
+
+
+        CALL alpale_th(phys_tstep, lmax_th, t_seri, cell_area, &
+                cin, s2, n2, strig, &
+                ale_bl_trig, ale_bl_stat, ale_bl, &
+                alp_bl, alp_bl_stat, &
+                proba_notrig, random_notrig, cv_gen)
+        !>jyg
+
+        ! ------------------------------------------------------------------
+        ! Transport de la TKE par les panaches thermiques.
+        ! FH : 2010/02/01
+        if (iflag_thermcell_tke==1) then
+          call thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
+        endif
+        ! -------------------------------------------------------------------
+
+        DO i = 1, klon
+          !           zmax_th(i)=pphi(i,lmax_th(i))/rg
+          !CR:04/05/12:correction calcul zmax
+          zmax_th(i) = zmax0(i)
+        ENDDO
+
+      ENDIF
+
+      !  Ajustement sec
+      !  ==============
+
+      ! Dans le cas o\`u on active les thermiques, on fait partir l'ajustement
+      ! a partir du sommet des thermiques.
+      ! Dans le cas contraire, on demarre au niveau 1.
+
+      IF (iflag_thermals>=13.or.iflag_thermals<=0) THEN
+
+        IF (iflag_thermals==0) THEN
+          IF (prt_level>9) WRITE(lunout, *)'ajsec'
+          limbas(:) = 1
+        ELSE
+          limbas(:) = lmax_th(:)
+        ENDIF
+
+        ! Attention : le call ajsec_convV2 n'est maintenu que momentanneement
+        ! pour des test de convergence numerique.
+        ! Le nouveau ajsec est a priori mieux, meme pour le cas
+        ! iflag_thermals = 0 (l'ancienne version peut faire des tendances
+        ! non nulles numeriquement pour des mailles non concernees.
+
+        IF (iflag_thermals==0) THEN
+          ! Calling adjustment alone (but not the thermal plume model)
+          CALL ajsec_convV2(paprs, pplay, t_seri, q_seri &
                   , d_t_ajsb, d_q_ajsb)
-          ELSE IF (iflag_thermals>0) THEN
-             ! Calling adjustment above the top of thermal plumes
-             CALL ajsec(paprs, pplay, t_seri,q_seri,limbas &
+        ELSE IF (iflag_thermals>0) THEN
+          ! Calling adjustment above the top of thermal plumes
+          CALL ajsec(paprs, pplay, t_seri, q_seri, limbas &
                   , d_t_ajsb, d_q_ajsb)
-          ENDIF
-
-          !--------------------------------------------------------------------
-          ! ajout des tendances de l'ajustement sec ou des thermiques
-          CALL add_phys_tend(du0,dv0,d_t_ajsb,d_q_ajsb,dql0,dqi0,dqbs0,paprs, &
-               'ajsb',abortphy,flag_inhib_tend,itap,0)
-          CALL prt_enerbil('ajsb',itap)
-          d_t_ajs(:,:)=d_t_ajs(:,:)+d_t_ajsb(:,:)
-          d_q_ajs(:,:)=d_q_ajs(:,:)+d_q_ajsb(:,:)
-
-          !---------------------------------------------------------------------
-
-       ENDIF
+        ENDIF
+
+        !--------------------------------------------------------------------
+        ! ajout des tendances de l'ajustement sec ou des thermiques
+        CALL add_phys_tend(du0, dv0, d_t_ajsb, d_q_ajsb, dql0, dqi0, dqbs0, paprs, &
+                'ajsb', abortphy, flag_inhib_tend, itap, 0)
+        CALL prt_enerbil('ajsb', itap)
+        d_t_ajs(:, :) = d_t_ajs(:, :) + d_t_ajsb(:, :)
+        d_q_ajs(:, :) = d_q_ajs(:, :) + d_q_ajsb(:, :)
+
+        !---------------------------------------------------------------------
+
+      ENDIF
 
     ENDIF
-    !
+
     !===================================================================
-    ! Computation of ratqs, the width (normalized) of the subrid scale 
+    ! Computation of ratqs, the width (normalized) of the subrid scale
     ! water distribution
 
-    l_mix_ave(:,:)=0.
-    wprime_ave(:,:)=0.
+    l_mix_ave(:, :) = 0.
+    wprime_ave(:, :) = 0.
 
     DO nsrf = 1, nbsrf
-       DO i = 1, klon
-          l_mix_ave(i,:) = l_mix_ave(i,:) + l_mix(i,:,nsrf)*pctsrf(i,nsrf)
-          wprime_ave(i,:) = wprime_ave(i,:) + wprime(i,:,nsrf)*pctsrf(i,nsrf)
-       ENDDO
+      DO i = 1, klon
+        l_mix_ave(i, :) = l_mix_ave(i, :) + l_mix(i, :, nsrf) * pctsrf(i, nsrf)
+        wprime_ave(i, :) = wprime_ave(i, :) + wprime(i, :, nsrf) * pctsrf(i, nsrf)
+      ENDDO
     ENDDO
 
-    CALL ratqs_main(klon,klev,nbsrf,prt_level,lunout,        &
-         iflag_ratqs,iflag_con,iflag_cld_th,pdtphys,  &
-         ratqsbas,ratqshaut,ratqsp0, ratqsdp, &
-         pctsrf,s_pblh,zstd, &
-         tau_ratqs,fact_cldcon,wake_s, wake_deltaq,   &
-         ptconv,ptconvth,clwcon0th, rnebcon0th,     &
-         paprs,pplay,t_seri,q_seri, &
-         qtc_cv, sigt_cv,detrain_cv,fm_cv,fqd,fqcomp,sigd,zqsat, &
-         omega,pbl_tke(:,:,is_ave),pbl_eps(:,:,is_ave),l_mix_ave,wprime_ave, &
-         t2m,q2m,fm_therm,entr_therm,detr_therm,cell_area, &
-         ratqs,ratqsc,ratqs_inter_)
-
-    !
+    CALL ratqs_main(klon, klev, nbsrf, prt_level, lunout, &
+            iflag_ratqs, iflag_con, iflag_cld_th, pdtphys, &
+            ratqsbas, ratqshaut, ratqsp0, ratqsdp, &
+            pctsrf, s_pblh, zstd, &
+            tau_ratqs, fact_cldcon, wake_s, wake_deltaq, &
+            ptconv, ptconvth, clwcon0th, rnebcon0th, &
+            paprs, pplay, t_seri, q_seri, &
+            qtc_cv, sigt_cv, detrain_cv, fm_cv, fqd, fqcomp, sigd, zqsat, &
+            omega, pbl_tke(:, :, is_ave), pbl_eps(:, :, is_ave), l_mix_ave, wprime_ave, &
+            t2m, q2m, fm_therm, entr_therm, detr_therm, cell_area, &
+            ratqs, ratqsc, ratqs_inter_)
+
     ! Appeler le processus de condensation a grande echelle
     ! et le processus de precipitation
     !-------------------------------------------------------------------------
     IF (prt_level >=10) THEN
-       print *,'itap, ->fisrtilp ',itap
+      print *, 'itap, ->fisrtilp ', itap
     ENDIF
-    !
-
-    picefra(:,:)=0.
+
+    picefra(:, :) = 0.
 
     IF (ok_new_lscp) THEN
 
-    !--mise à jour de flight_m et flight_h2o dans leur module
-    IF (ok_plane_h2o .OR. ok_plane_contrail) THEN
-      CALL airplane(debut,pphis,pplay,paprs,t_seri)
+      !--mise à jour de flight_m et flight_h2o dans leur module
+      IF (ok_plane_h2o .OR. ok_plane_contrail) THEN
+        CALL airplane(debut, pphis, pplay, paprs, t_seri)
+      ENDIF
+
+      CALL lscp(klon, klev, phys_tstep, missing_val, paprs, pplay, &
+              t_seri, q_seri, qs_ancien, ptconv, ratqs, &
+              d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, rneb, rneblsvol, rneb_seri, &
+              pfraclr, pfracld, cldfraliq, sigma2_icefracturb, mean_icefracturb, &
+              radocond, picefra, rain_lsc, snow_lsc, &
+              frac_impa, frac_nucl, beta_prec_fisrt, &
+              prfl, psfl, rhcl, &
+              zqasc, fraca, ztv, zpspsk, ztla, zthl, iflag_cld_th, &
+              iflag_ice_thermo, ok_ice_sursat, zqsatl, zqsats, distcltop, temp_cltop, &
+              pbl_tke(:, :, is_ave), pbl_eps(:, :, is_ave), qclr, qcld, qss, qvc, rnebclr, rnebss, gamma_ss, &
+              Tcontr, qcontr, qcontr2, fcontrN, fcontrP, &
+              cloudth_sth, cloudth_senv, cloudth_sigmath, cloudth_sigmaenv, &
+              qraindiag, qsnowdiag, dqreva, dqssub, dqrauto, dqrcol, dqrmelt, &
+              dqrfreez, dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez)
+
+    ELSE
+
+      CALL fisrtilp(klon, klev, phys_tstep, paprs, pplay, &
+              t_seri, q_seri, ptconv, ratqs, &
+              d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, rneb, rneblsvol, radocond, &
+              rain_lsc, snow_lsc, &
+              pfrac_impa, pfrac_nucl, pfrac_1nucl, &
+              frac_impa, frac_nucl, beta_prec_fisrt, &
+              prfl, psfl, rhcl, &
+              zqasc, fraca, ztv, zpspsk, ztla, zthl, iflag_cld_th, &
+              iflag_ice_thermo, &
+              cloudth_sth, cloudth_senv, cloudth_sigmath, cloudth_sigmaenv)
+
     ENDIF
 
-    CALL lscp(klon,klev,phys_tstep,missing_val,paprs,pplay, &
-         t_seri, q_seri,qs_ancien,ptconv,ratqs, &
-         d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, rneb, rneblsvol, rneb_seri, & 
-         pfraclr, pfracld, cldfraliq, sigma2_icefracturb, mean_icefracturb,  &
-         radocond, picefra, rain_lsc, snow_lsc, &
-         frac_impa, frac_nucl, beta_prec_fisrt, &
-         prfl, psfl, rhcl,  &
-         zqasc, fraca,ztv,zpspsk,ztla,zthl,iflag_cld_th, &
-         iflag_ice_thermo, ok_ice_sursat, zqsatl, zqsats, distcltop, temp_cltop,  &
-         pbl_tke(:,:,is_ave), pbl_eps(:,:,is_ave), qclr, qcld, qss, qvc, rnebclr, rnebss, gamma_ss, &
-         Tcontr, qcontr, qcontr2, fcontrN, fcontrP , &
-         cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv, &
-         qraindiag, qsnowdiag, dqreva, dqssub, dqrauto, dqrcol, dqrmelt, &
-         dqrfreez, dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez)
-
-
-    ELSE
-
-    CALL fisrtilp(klon,klev,phys_tstep,paprs,pplay, &
-         t_seri, q_seri,ptconv,ratqs, &
-         d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, rneb, rneblsvol, radocond, &
-         rain_lsc, snow_lsc, &
-         pfrac_impa, pfrac_nucl, pfrac_1nucl, &
-         frac_impa, frac_nucl, beta_prec_fisrt, &
-         prfl, psfl, rhcl,  &
-         zqasc, fraca,ztv,zpspsk,ztla,zthl,iflag_cld_th, &
-         iflag_ice_thermo, &
-         cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
-
-    ENDIF
-    !
     WHERE (rain_lsc < 0) rain_lsc = 0.
     WHERE (snow_lsc < 0) snow_lsc = 0.
 
-!+JLD
-!    write(*,9000) 'phys lsc',"enerbil: bil_q, bil_e,",rain_lsc+snow_lsc &
-!        & ,((rcw-rcpd)*rain_lsc + (rcs-rcpd)*snow_lsc)*t_seri(1,1)-rlvtt*rain_lsc+rlstt*snow_lsc &
-!        & ,rain_lsc,snow_lsc
-!    write(*,9000) "rcpv","rcw",rcpv,rcw,rcs,t_seri(1,1)
-!-JLD 
-    CALL add_phys_tend(du0,dv0,d_t_lsc,d_q_lsc,d_ql_lsc,d_qi_lsc,dqbs0,paprs, &
-         'lsc',abortphy,flag_inhib_tend,itap,0)
-    CALL prt_enerbil('lsc',itap)
-    rain_num(:)=0.
+    !+JLD
+    !    write(*,9000) 'phys lsc',"enerbil: bil_q, bil_e,",rain_lsc+snow_lsc &
+    !        & ,((rcw-rcpd)*rain_lsc + (rcs-rcpd)*snow_lsc)*t_seri(1,1)-rlvtt*rain_lsc+rlstt*snow_lsc &
+    !        & ,rain_lsc,snow_lsc
+    !    write(*,9000) "rcpv","rcw",rcpv,rcw,rcs,t_seri(1,1)
+    !-JLD
+    CALL add_phys_tend(du0, dv0, d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, dqbs0, paprs, &
+            'lsc', abortphy, flag_inhib_tend, itap, 0)
+    CALL prt_enerbil('lsc', itap)
+    rain_num(:) = 0.
     DO k = 1, klev
-       DO i = 1, klon
-          IF (ql_seri(i,k)>oliqmax) THEN
-             rain_num(i)=rain_num(i)+(ql_seri(i,k)-oliqmax)*zmasse(i,k)/pdtphys
-             ql_seri(i,k)=oliqmax
-          ENDIF
-       ENDDO
+      DO i = 1, klon
+        IF (ql_seri(i, k)>oliqmax) THEN
+          rain_num(i) = rain_num(i) + (ql_seri(i, k) - oliqmax) * zmasse(i, k) / pdtphys
+          ql_seri(i, k) = oliqmax
+        ENDIF
+      ENDDO
     ENDDO
     IF (nqo >= 3) THEN
+      DO k = 1, klev
+        DO i = 1, klon
+          IF (qs_seri(i, k)>oicemax) THEN
+            rain_num(i) = rain_num(i) + (qs_seri(i, k) - oicemax) * zmasse(i, k) / pdtphys
+            qs_seri(i, k) = oicemax
+          ENDIF
+        ENDDO
+      ENDDO
+    ENDIF
+
+
+    !---------------------------------------------------------------------------
     DO k = 1, klev
-       DO i = 1, klon
-          IF (qs_seri(i,k)>oicemax) THEN
-             rain_num(i)=rain_num(i)+(qs_seri(i,k)-oicemax)*zmasse(i,k)/pdtphys
-             qs_seri(i,k)=oicemax
-          ENDIF
-       ENDDO
-    ENDDO
-    ENDIF
-
-
-!---------------------------------------------------------------------------
-    DO k = 1, klev
-       DO i = 1, klon
-          cldfra(i,k) = rneb(i,k)
-          !CR: a quoi ca sert? Faut-il ajouter qs_seri?
-          !EV: en effet etrange, j'ajouterais aussi qs_seri
-          !    plus largement, je nettoierais (enleverrais) ces lignes
-          IF (.NOT.new_oliq) radocond(i,k) = ql_seri(i,k)
-       ENDDO
+      DO i = 1, klon
+        cldfra(i, k) = rneb(i, k)
+        !CR: a quoi ca sert? Faut-il ajouter qs_seri?
+        !EV: en effet etrange, j'ajouterais aussi qs_seri
+        !    plus largement, je nettoierais (enleverrais) ces lignes
+        IF (.NOT.new_oliq) radocond(i, k) = ql_seri(i, k)
+      ENDDO
     ENDDO
 
